#pragma once
#include "Entity.h"
#define CS_PUSHCART_CREATENAME L"CS_pushcart"
//ÊÖÍÆ³µ
class CS_Pushcart :
    public Entity
{
public:
    CS_Pushcart();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
};

std::shared_ptr<Entity> CreateCS_Pushcart();